/* eucbj.c: (C) TOYODA Eizi, 1995
 * euc kanzi code --> bj-10v code convertor
 */

#include <stdio.h>

#define BEL		7
#define nputs(s)	(void)fputs((s), stdout)

	void
puteuc(cs, ca, cb)
{
	/*
	 * kanzi-in/out code wo daburaseta noha data nuke ga deruto
	 * bakete simau kara.
	 */
	static int	kanzi = 0;
	if (cs == 1) {
		if (!kanzi) {
			nputs("\034&\034&");
			kanzi = 1;
		}
		putchar(ca);
		putchar(cb);
	} else {
		if (kanzi) {
			nputs("\034.\034.");
			kanzi = 0;
		}
		putchar(ca);
	}
}

	int
main()
{
	int	c, cb;
	/*
	 * initializing strings:
	 */
	/* 12CPI */
	nputs("\033M");
	/* ZENKAKU-BIT-ADDITION(3,3) */
	nputs("\034S\003\003");
	/* LEFTMARGIN 8, RIGHTMARGIN 88 */
	nputs("\033l\010\033Q\130");
	/* CHARSET MSB=0 US-ASCII */
	nputs("\033R"); putchar(0);
	/* CHARSET MSB=1 LATIN-GREEK */
	nputs("\033t\001");
	while ((c = getchar()) != EOF) {
		if (c == 0x8E) {
			if ((c = getchar()) == EOF) {
				putchar(BEL);
				return 1;
			}
			puteuc(3, c | 0x80);
		} else if (c > 0xa0) {
			if ((cb = getchar()) == EOF) {
				putchar(BEL);
				return 1;
			}
			puteuc(1, c & 0x7f, cb & 0x7f);
		} else {
			puteuc(0, c);
		}
	}
	/* FormFeed */
	putchar('\f');
	return 0;
}
